package cn.com.countrygarden.bi.main.dao.eba;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.eba.TbmMaintainTask;
import cn.com.countrygarden.bi.main.model.eba.TbmMaintainTaskResult;

import java.util.List;
import java.util.Map;

public interface TbmMaintainTaskMapper extends Mapper<TbmMaintainTask> {
    TbmMaintainTaskResult aggregateEngineering(Map<String, String> param);
    Map<String, Object> aggregate(Map<String, String> param);
    List<TbmMaintainTaskResult> aggregateByOrgan(Map<String, String> param);
    List<TbmMaintainTaskResult> aggregateBySource(Map<String, String> param);
    List<TbmMaintainTaskResult> aggregateByCategory(Map<String, String> param);
    List<TbmMaintainTaskResult> aggregateByMonth(Map<String, String> param);
    List<TbmMaintainTaskResult> realtime(Map<String, Object> param);
}